sysfsutils (2.1.0+repack-7build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:21 +0100

sysfsutils (2.1.0+repack-7) unstable; urgency=medium

  * Switch to debhelper compatibility level 13.
  * Switch to Standards-Version 4.5.1.
  * Fix README.Examples:
    - Use $() instead of `` shell syntax.
    - Remove trailing spaces.
    - Fix «e.g.» spelling and follow it by a «:».
  * Remove trailing whitespace from patch.
  * Add debian/upstream/metadata file.
  * Add Forwarded fields to patches.
  * Install the pkg-config file into a multiarch directory to support
    cross-building.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 18:32:50 +0100

sysfsutils (2.1.0+repack-6) unstable; urgency=medium

  * New maintainer. Closes: #689879
  * Update Vcs fields for move to git.hadrons.org.
  * Remove now unused debian/gbp.conf.
  * Update previous changelog entry with actual changes done.
  * Remove trailing spaces from debian/changelog.
  * Wrap and sort dependency fields.
  * Switch to debhelper compatibility level 12.
    - Remove unnecessary dh_missing override.
  * Switch from debian/compat to debhelper-commpat in Build-Depends.
  * Move Homepage from debian/copyright to debian/control.
  * Switch debian/copyright to the machine readable format 1.0.
  * Switch URL in debian/watch to https.
  * Switch to debian/watch format 4.
  * Add a uversionmangle mapping to debian/watch for «-rc» versions.
  * Add a dversionmangle mapping to debian/watch for «+repackN» versions.
  * Move files to be installed in the filesystem from debian/ to debian/local/.
  * Switch to Standards-Version 4.4.1.
  * Use the correct pathname for pci.ids database.
  * Add a Depends on pci.ids to sysfsutils.
  * Reword package descriptions. Closes: #767679
  * Improve systool(1) man page:
    - Fix typo. Closes: #626615
    - Fix troff markup.
    - End sentences with a full-stop.
    - Use the project name in the .TH source field instead of the author.
    - Remove GNU/Linux from Debian reference.
  * Improve sysfsutils init script:
    - Fix indentation.
    - Fix LSB init output. Closes: #823082
    - Move -e from shebang into a proper «set -e».
    - Inject a trailing newline when parsing sysfs.conf. Closes: #638749
      Thanks to Thue Janus Kristensen <thuejk@gmail.com>.
    - Add a dummy status action. Closes: #832111
      Thanks to Raphaël Halimi <raphael.halimi@gmail.com>.
    - Add glob(7) support in sysfs.conf. Closes: #604737
      Thanks to Alex Sheppard <ams@corefiling.com>.
    - Print an error instead of aborting when we cannot write an attribute
      value. Closes: #663202, #764000
    - Print the actual configuration file (instead of always sysfs.conf) on
      syntax errors.
    - Make init script provide itself.
  * Add missing lsb-base Depends to sysfsutils.
  * Cleanup old stop rcN.d symlinks from runlevels 0, 1 and 6. Closes: #555952
  * Stop passing obsolete arguments to update-rc.d.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr. This makes it possible to remove the special
    handling from debian/rules, and use stock debhelper install fragments.
  * Set R³ to no.
  * Add description meta-headers for old patches.
  * Add files not shipped to debian/not-installed.
    - We can also remove the deletion of *.la files, and just ignore them.
  * Add ${misc:Pre-Depends} to sysfsutils Pre-Depends, needed by the new
    invoke-rc.d --skip-systemd-native flag.
  * Add a symbols file for the shared library.
  * Remove unnecessary chrpath from Build-Depends and dh_install override.
  * Add Build-Depends on debhelper (>= 12.3) to get automatic dh_makeshlibs
    udeb handling, so that we can remove the override.
  * Remove --as-needed from DEB_LDFLAGS_MAINT_APPEND and from dh_autoreconf
    override, as this is now the default in Debian.

 -- Guillem Jover <guillem@debian.org>  Sun, 17 Nov 2019 04:10:56 +0100

sysfsutils (2.1.0+repack-5) unstable; urgency=medium

  * QA upload.
  * Import packaging to https://salsa.debian.org.
  * Convert from cdbs to dh.
  * Bump debhelper compat to 11.
  * Change source priority from extra to optional.
  * Change sysfsutils priority from important to optional.
  * Remove Pre-Depends field from libsysfs2.
  * Switch from XC-Package-Type to Package-Type field.
  * Use correct path for GPL-2 and LGPL-2.1 license files.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 28 Nov 2018 21:11:47 -0500

sysfsutils (2.1.0+repack-4) unstable; urgency=medium

  * QA upload.
  * Call dh-autoreconf before building the package. (closes: #752828).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Aug 2014 19:14:39 +0200

sysfsutils (2.1.0+repack-3) unstable; urgency=low

  * QA upload.
  * Add init script support for manipulating sysfs using fragments in
    /etc/sysfs.d. (closes: #575459)

 -- Chris Boot <bootc@bootc.net>  Thu, 02 May 2013 17:36:19 +0100

sysfsutils (2.1.0+repack-2) unstable; urgency=low

  * Orphan package.

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Oct 2012 15:51:14 +0200

sysfsutils (2.1.0+repack-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #663040)
    - Mark libsysfs2 as same.
    - Mark sysfsutils as foreign.
    - Adjust debhelper and cdbs build-dependencies.
    - Fixup -dev installation.

 -- Bastian Blank <waldi@debian.org>  Sat, 16 Jun 2012 17:18:46 +0000

sysfsutils (2.1.0+repack-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/sysfsutils.init:
    - add support for changing permissions of folders too.      closes: #658365
  * debian/control:
    - fix typo in long description.
    - add build-dep on autotools-dev to replace ancient autotools helpers.
    - update standards version to 3.9.3.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 01 Jun 2012 09:34:05 +0200

sysfsutils (2.1.0+repack-1) unstable; urgency=low

  * Drop tarball.mk and tar-in-tar packaging and use upstream tarball as
    orig.tar.gz now. This style is obsolete, we have much better tools now.
  * Switch to dh compat 7.
  * Add bzr-builddeb configuration (merge mode).
  * debian/control: Add Vcs-Bzr:.
  * Switch to 3.0 (quilt) source format, drop simple-patchsys.mk.
  * debian/control: Add missing ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.9.1.
  * debian/sysfsutils.init: Start after cpufrequtils, to make sure that a
    governor is selected and set up. Thanks Mario Holbe! (Closes: #590143)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Aug 2010 19:14:59 +0200

sysfsutils (2.1.0-6) unstable; urgency=low

  * debian/sysfsutils.init: Make sure the init.d script runs after udev,
    module-init-tools and loadcpufreq, to avoid trying to set kernel
    parameters for kernel modules not yet loaded. Thanks to Petter
    Reinholdtsen! (Closes: #539755)
  * Bump Standards-Version to 3.8.3 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Aug 2009 20:05:02 +0200

sysfsutils (2.1.0-5) unstable; urgency=low

  * debian/rules: Fix dh_installinit call to not install stop symlinks. The
    init script does not need to be called on stop. This also makes the
    update-rc.d links consistent to the LSB header "Should-Stop" which insserv
    complained about. (Closes: #497905)
  * debian/libsysfs-dev.doc-base: Fix section name, thanks lintian.
  * debian/control: Bump Standards-Version (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Sep 2008 10:36:59 +0200

sysfsutils (2.1.0-4) unstable; urgency=low

  * debian/sysfsutils.init: Some attributes in sysfs need a terminating
    newline, some don't, so try both. Thanks to Stefan Monnier for the patch!
    (Closes: #459240, LP: #184783)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Apr 2008 16:53:02 +0200

sysfsutils (2.1.0-3) unstable; urgency=low

  * debian/sysfsutils.init: Fix Default-Stop LSB header to not run in any
    level, since 'stop' does not do anything. (Closes: #458272, #427033)
  * debian/sysfsutils.init: Use LSB output commands. (Closes: #457662)
  * debian/sysfsutils.README.Debian: Fix script name. (Closes: #453312)
  * Bump Standards-Version (no changes necessary).
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.
  * debian/rules: Drop pointless rpath from systool binary. Add chrpath build
    dependency.

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Dec 2007 21:23:06 +0100

sysfsutils (2.1.0-2) unstable; urgency=low

  * Bump libsysfs2 priority to 'important', since pcmciautils depends on it.
  * debian/control: Bump standards version.
  * debian/copyright: Update FSF address.
  * debian/control: Drop the "Provides: libsysfs2" from the udeb, as per
    request from Frans Pop. Closes: #419610
  * debian/sysfsutils.init: Add LSB header.

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 May 2007 23:43:03 +0200

sysfsutils (2.1.0-1) unstable; urgency=low

  * New upstream version. Closes: #385639
    - Add sysfs_open_link_list().
    - Add sysfs_open_device_tree().
    - Add C++ compilation suport.
    - Add subsystem in sysfs_device.
  * Add watch file.
  * debian/sysfs.conf: Consistently use whitespace in examples.
    Closes: #382437
  * Add debian/local/libsysfs.pc: Provide a pkg-config data file and install
    it into libsysfs-dev. Closes: #385742
  * debian/README.Examples: Use pkg-config in build instructions.

 -- Martin Pitt <mpitt@debian.org>  Sun, 29 Oct 2006 18:15:24 +0100

sysfsutils (2.0.0-7) unstable; urgency=low

  * Raise libsysfs{2,-dev} to priority optional, since reverse dependencies
    are optional.

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 May 2006 09:32:20 +0200

sysfsutils (2.0.0-6) unstable; urgency=low

  * debian/rules: Generate shlibs for udev files. Thanks to Frans Pop!
    Closes: #355965
  * debian/control: Bump debhelper dependency to >= 5.0.22.

 -- Martin Pitt <mpitt@debian.org>  Thu,  9 Mar 2006 08:53:44 +0100

sysfsutils (2.0.0-5) unstable; urgency=medium

  * Urgency medium since this only fixes two RC bugs and libsysfs blocks
    move to testing for other packages.
  * debian/rules: Fix installation of library into the udeb. Closes: #355385
  * Add debian/patches/get_mnt_path_check.patch:
    - sysfs_get_mnt_path(): Check that sysfs is actually mounted and fail if
      not. Fixes behavioural breakage compared to 1.3.
    - Closes: #355540

 -- Martin Pitt <mpitt@debian.org>  Mon,  6 Mar 2006 19:08:56 +0100

sysfsutils (2.0.0-4) unstable; urgency=low

  * Upload to unstable.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Feb 2006 12:32:27 +0100

sysfsutils (2.0.0-3) experimental; urgency=low

  * Install .so symlink in /usr/lib, not in /lib. (See #346582)
  * libsysfs-dev: Do not install the .la file, it just confuses libtool.
    (See #347901)

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Jan 2006 17:17:03 +0100

sysfsutils (2.0.0-2) experimental; urgency=low

  * debian/libsysfs-dev: Install static library into /usr/lib. (See #344067)

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Dec 2005 13:35:09 +0100

sysfsutils (2.0.0-1) experimental; urgency=low

  * New upstream version.
  * SONAME change, now build libsysfs2.

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Dec 2005 10:05:03 +0100

sysfsutils (1.3.0-7) unstable; urgency=low

  * Install .so symlink in /usr/lib, not in /lib. Closes: #346582
  * Do not install the .la file, it just confuses libtool. Closes: #347901

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Jan 2006 17:00:00 +0100

sysfsutils (1.3.0-6) unstable; urgency=low

  * debian/libsysfs-dev.install: Install static library into /usr/lib.
    Closes: #344067

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Dec 2005 13:31:33 +0100

sysfsutils (1.3.0-5) unstable; urgency=low

  * libsysfs1-udeb: Ship the actual library as libsysfs.so.1 instead of a
    SONAME symlink and .so.1.0.3. This unbreaks library handling in the
    installer.

 -- Martin Pitt <mpitt@debian.org>  Mon,  5 Dec 2005 15:55:48 +0100

sysfsutils (1.3.0-4) unstable; urgency=low

  * debian/sysfsutils.init:
    - Use -n "$variable" instead of naked "$variable" in test invocations
      since the latter breaks with values that start with a dash.
    - Thanks to Henrique de Moraes Holschuh for making me aware of this issue.
    - Closes: #341060

 -- Martin Pitt <mpitt@debian.org>  Fri,  2 Dec 2005 17:13:53 +0100

sysfsutils (1.3.0-3) unstable; urgency=low

  * Add a libsysfs1-udeb package, for use by pcmciautils-udeb. Thanks to Colin
    Watson. Closes: #340300
  * debian/sysfsutils.init:
    - Use echo -n to write values. Closes: #334586
    - Now support permission setting with 'mode' and 'owner' lines.
      Closes: #319848
  * debian/sysfs.conf: Add explanation of syntax and add mode and owner
    example.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Nov 2005 19:23:16 +0100

sysfsutils (1.3.0-2) unstable; urgency=low

  * debian/sysfsutils.init: Replace $MNTPATH with hardcoded /sys since the -m
    option does not exist any more. Closes: #316013

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jun 2005 23:18:08 +0200

sysfsutils (1.3.0-1) unstable; urgency=low

  * New upstream release:
    - sysfs_get_device_parent() does not depend on the detach_state attribute
      any more, which was removed from the kernel recently.
      (closes: #314985)
  * Removed debian/patches/01_systool_mntpath.patch: Mounting sysfs under a
    directory other than /sys is not supported any more.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Jun 2005 00:03:44 +0200

sysfsutils (1.2.0-5) unstable; urgency=low

  * Install the libsysfs library in /lib instead of /usr/lib.
    (closes: #293149)

 -- Martin Pitt <mpitt@debian.org>  Wed,  9 Feb 2005 18:56:17 +0100

sysfsutils (1.2.0-4) unstable; urgency=low

  * Bump debhelper build-dependency to >= 4.1.1. (closes: #291557)

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jan 2005 16:13:31 +0100

sysfsutils (1.2.0-3) unstable; urgency=low

  * sysfsutils.init: Dropped bash variable substitutions, do the mangling in
    sed instead. Use shell sh instead of bash. (closes: #291022)
  * sysfs.conf: Do not allow '.' as path component separator any more since
    '.' appears in regular file names in sysfs.

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Jan 2005 10:29:03 +0100

sysfsutils (1.2.0-2) unstable; urgency=low

  * sysfsutils.init: Use shell bash instead of sh. (closes: #291011)

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Jan 2005 10:32:59 +0100

sysfsutils (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Repackaged using cdbs
  * Adapted README.Examples
  * Added a proper copyright to debian/copyright  (closes: #290208)
  * 01_systool_mntpath.patch: Add option -m to systool which prints out sysfs
    mount path
  * Updated package descriptions
  * Added /etc/init.d/sysfsutils to control sysfs parameters with
    /etc/sysfs.conf (closes: #286327)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Jan 2005 22:08:00 +0100

sysfsutils (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Mar 2004 14:14:18 +0200

sysfsutils (1.0.0-1) unstable; urgency=low

  * New upstream release (closes: #230420)
  * Removed README.Debian since /sys is now automatically mounted by
    mountkernfs
  * Removed lsbus manpage and description (program does not exist any more,
    systool has all functionality lsbus had)
  * my contributed systool.1 man page was included upstream

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 Feb 2004 13:29:37 +0100

sysfsutils (0.3.0-1) unstable; urgency=low

  * Initial Release (closes: #215257)

 -- Martin Pitt <mpitt@debian.org>  Thu,  6 Nov 2003 11:07:54 +0100
